Appearance
Get assessment status
Returns the current status and available result data for a candidate assessment.
GET
https://app.smalltalk2.me/api/integration/test_statusQuery parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
id | string | required | interview_id returned by send_test. |
additional_fields | string | optional | Comma-separated names of additional report fields to return. |
Available additional_fields values:
detailed_scoresstrength_weaknessesproblem_statusesproblem_titlessmalltalk_scoreproctoring_artifacts
See Additional fields for their response shapes.
Example request
bash
curl 'https://app.smalltalk2.me/api/integration/test_status?id=o2jn3r&additional_fields=strength_weaknesses,smalltalk_score' \
-H 'Authorization: Bearer <token>'Response
| Property | Type | Availability | Description |
|---|---|---|---|
status | string | always | Current assessment state. |
expiration_timestamp | string | always | Time when the assessment expires. |
started_timestamp | string | completed assessment | Optional. Time when the candidate started the assessment. |
finished_timestamp | string | completed assessment | Optional. Time when the candidate finished the assessment. |
report_url | string | completed assessment | URL to the candidate's SmallTalk report page. |
score | string | completed assessment | Candidate performance score. |
additional_fields | object | always | Requested result fields. It is empty before completion and when no supported fields are requested. |
audio_recordings | string[] or null | always | Signed links to the candidate's audio recordings after completion; null before completion. |
Timestamps use RFC 3339, for example:
text
2009-11-10T23:00:00ZThe completed score uses one of these values:
Undefined, A1, A1p, A2, A2p, B1, B1p, B2, B2p, C1, C1p, C2, C2p
Status values
| Value | Meaning |
|---|---|
sent | The assessment has been created and has not been submitted. |
expired | The assessment link has expired and is no longer available. |
canceled | The organization canceled the assessment before submission. |
processing | The assessment was submitted and the report is not ready. |
completed | The report is ready. |
Example response
json
{
"status": "completed",
"expiration_timestamp": "2026-09-05T12:00:00Z",
"started_timestamp": "2026-08-26T09:00:00Z",
"finished_timestamp": "2026-08-26T09:30:00Z",
"report_url": "https://app.smalltalk2.me/shared/o3rjgn",
"score": "B2",
"additional_fields": {
"strength_weaknesses": {
"strengths": [
"strength1",
"strength2"
],
"weaknesses": [
"weakness1",
"weakness2"
]
},
"smalltalk_score": 71
},
"audio_recordings": [
"https://signed-storage-url.example/audio-recording"
]
}